note
	description: "Summary description for {CONSTRAINED}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	CONSTRAINED

inherit
	ANY
		redefine
			default_create
		end

feature {NONE} -- Initialization

	default_create
		do
			create constraints.make
			constraints_join_statement := {CONSTRAINT}.And_statement
		end

feature -- Access

	constraints: LINKED_LIST[CONSTRAINT]

	constraints_join_statement: STRING -- Default {CONSTRAINT}.And_statement

feature -- Status settings

	set_constraints_join_statement (v: like constraints_join_statement)
		do
			constraints_join_statement := v
		ensure
			constraints_join_statement = v
		end

feature -- Out

	to_sql: STRING
		do
			Result := ""
			across
				constraints as l_cons
			loop
				Result.append ("%N%T" + l_cons.item.to_sql + constraints_join_statement)
			end
			if Result.ends_with (constraints_join_statement) then
				Result.remove_tail (constraints_join_statement.count)
			end
			if not Result.is_empty then
				Result := "%NWHERE " + Result
			end
		ensure
			not result.ends_with (constraints_join_statement)
		end

end
