note
	description: "Summary description for {STRING_SQL_QUERY}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	STRING_SQL_QUERY

inherit
	SQL_QUERY
		redefine
			to_sql
		end

create
	make_from_string


feature {NONE} -- Initialization

	make_from_string (a_base_entity: like base_entity; s: STRING)
		do
			make (a_base_entity)
			content := s
		ensure
			content = s
		end

feature -- Access

	content: STRING

feature -- Out

	to_sql: STRING
		do
			Result := content + constraints_to_sql
		end

end
