note
	description: "Summary description for {DATE_TIME_CHARTABLE}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

deferred class
	DATE_TIME_CHARTABLE

inherit
	CHARTABLE
		rename
			x_dimension_value as date_time
		redefine
			date_time,
			default_create
		end

feature{NONE} -- Initialization

	default_create
		do
			create date_time.make_now_utc
			Precursor
		end

feature -- Access

	Date_time_db_column_name: STRING
		deferred
		end

	date_time: DATE_TIME

feature -- Status setting

	set_date_time (v: like date_time)
		do
			date_time := v
		ensure
			date_time = v
		end

	set_but_date_time (an_other: like Current)
			-- sets all attributes of this class with deep_copy but preserves timestamps
		local
			l_date_time: like date_time
		do
--			logger.write_debug ("set_but_timestamp->b:" + Current.out + "%N other:" + an_other.out)
			l_date_time := date_time.deep_twin
			deep_copy (an_other)
			set_date_time (l_date_time)
--			logger.write_debug ("set_but_timestamp->a:" + Current.out + "%N other:" + an_other.out)
		end

end
