note
	description: "Summary description for {SIT_ANY}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	SIT_ANY

feature -- Status report

	conforms_to_multiple (some_types: TUPLE[TYPE[ANY]]): BOOLEAN
		do
			across
				some_types as l_type
			until
				Result
			loop
				if attached {TYPE[detachable ANY]} l_type.item as l_type_attached then
					Result := separate_type_is_conforming_to (Current.generating_type, l_type_attached)
				else
					check
						not_conform: False
					end
				end

--				Result := Current.generating_type.is_conforming_to (l_type.item.generating_type) -- not working because of separate check
			end
		end

feature {NONE} -- Implementation

	separate_type_is_conforming_to (a_type, an_other_type: separate TYPE[detachable ANY]): BOOLEAN
		do
			Result := a_type.is_conforming_to (an_other_type)
		end

end
