note
	description: "Summary description for {SIT_LINKED_LIST}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	SIT_LINKED_LIST[G]

inherit
	LINKED_LIST [G]

create
	make,
	make_from_iterable

feature -- Removal

	remove_all_from (other: CONTAINER[G])
		local
			l_index: like index
		do
			l_index := index
			across
				other as l_o_item
			loop
				start
				search (l_o_item.item)
				if not after then
					remove
				end
			end
			go_i_th (l_index)
		ensure
			cursor_not_moved: index = old index
		end

end
