note
	description: "Summary description for {IDENTIFIABLE_ONE_TO_ONE}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	IDENTIFIABLE_ONE_TO_ONE[P -> RELATED_DB_ENTITY create default_create end, S -> DB_ENTITY create default_create, make_from_db_service, make_from_json, make_from_json_object end]

inherit
	ONE_TO_ONE [P, S]

	IDENTIFIABLE
		undefine
			out,
			default_create
		end

create
	make_identifiable

feature {NONE} -- Initialization

	make_identifiable (a_primary: like primary_prototype; a_secondary_required: like secondary_required; an_identifier: like identifier; a_fk: like foreign_key)
		require
			not an_identifier.is_empty
			not a_fk.is_empty
		do
			make (a_primary, a_secondary_required)
			identifier := an_identifier
			foreign_key := a_fk
		ensure
			identifier = an_identifier
			foreign_key = a_fk
		end

end
