note
	description: "Summary description for {MANY_TO}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	MANY_TO[P -> RELATED_DB_ENTITY create default_create end, S -> DB_ENTITY create default_create end]

inherit
	RELATIONSHIP[P,S]
		redefine
			default_create
		end

feature {NONE} -- Initialize

	default_create
		do
			create {LINKED_LIST[P]} primaries.make
			Precursor
		end

	make (a_primary: like primaries.item; a_secondary_required: like secondary_required)
		do
			default_create
			extend (a_primary)
			secondary_required := a_secondary_required
		ensure
			primaries.first = a_primary
			secondary_required = a_secondary_required
		end

feature -- Status report

	primaries: CHAIN[P]

	extend (a_primary: P)
		do
			primaries.extend (a_primary)
		end

end
