note
	description: "Summary description for {MANY_TO_ONE}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	MANY_TO_ONE[P -> RELATED_DB_ENTITY create default_create end, S -> DB_ENTITY create default_create, make_from_db_service, make_from_json, make_from_json_object end]

inherit
	MANY_TO[P, S]
		redefine
			default_create
		end

	TO_ONE[P, S]
		redefine
			default_create
		end

create
	make

feature {NONE} -- Initialize

	default_create
		do
			Precursor {MANY_TO}
			Precursor {TO_ONE}
		end

feature -- Status report

	to_constraint: CONSTRAINT
		require
			attached {RELATED_PK_DB_ENTITY} primary_prototype
			attached {PK_DB_ENTITY} secondary as l_sec
			l_sec.primary_key > 0
		do
			if attached {RELATED_PK_DB_ENTITY} primary_prototype as l_primary_rpk and then
				attached {PK_DB_ENTITY} secondary as l_sec
			then
				create {FIELD_CONSTRAINT} Result.make (l_primary_rpk.table_name, secondary_foreign_key, {CONSTRAINT}.equal_operator, l_sec.primary_key)
			else
				create {STRING_CONSTRAINT} Result.make ("just for compilation")
			end
		end

end
