note
	description: "Summary description for {TO_ONE}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

deferred class
	TO_ONE[P -> RELATED_DB_ENTITY create default_create end, S -> DB_ENTITY  create default_create, make_from_db_service, make_from_json, make_from_json_object end]

inherit
	RELATIONSHIP[P, S]

feature -- Status report

	secondary: detachable S

feature -- Status setting


	create_default_secondary
		do
			create secondary
		ensure
			attached secondary
		end

	set_secondary (a_secondary: like secondary)
		do
			secondary := a_secondary
		end

	set_secondary_with_prototype_twin
		do
			secondary := secondary_prototype.deep_twin
		ensure
			attached secondary as l_sec
			secondary /= secondary_prototype
		end

	set_secondary_from_json_obj (a_json_o: JSON_OBJECT)
		do
			create secondary.make_from_json_object (a_json_o)
		end

end
