note
	description: "Summary description for {JSON_SIT_ENTITY}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

deferred class
	JSON_SIT_ENTITY

inherit
	ANY
		redefine
			default_create
		end

feature {NONE} -- Initialize

	default_create
		do
			create unexported_field_names.make
			unexported_field_names.compare_objects
			Precursor
		end

	make_from_json (a_json_string: STRING)
		do
			default_create
			set_from_json (a_json_string)
		end

	make_from_json_object (a_json_obj: JSON_OBJECT)
		do
			default_create
			set_from_json_object (a_json_obj)
		end

feature -- Status Report

	json_object_name: STRING
		do
			Result := {SIT_UTIL}.class_name_lowercase (generating_type.out)
		end

	unexported_field_names: LINKED_LIST[STRING]
		-- set to compare_objects

feature -- JSON Form

	to_json_string: STRING
		do
			Result := to_json.representation
		end

	to_json: JSON_OBJECT
		deferred
		end

	set_from_json (a_json_s: STRING)
		deferred
		end

	set_from_json_object (a_json_object: JSON_OBJECT)
		deferred
		end

invariant
		unexported_field_names.object_comparison
end
