note
	description: "[
				application service
			]"
	date: "$Date: 2016-10-21 10:45:18 -0700 (Fri, 21 Oct 2016) $"
	revision: "$Revision: 99331 $"

class
	EWF_APP


inherit
	WSF_LAUNCHABLE_SERVICE
		redefine
			initialize
		end

	APPLICATION_LAUNCHER [EWF_APP_EXECUTION]

	LOGGABLE

create
	make_and_launch

feature {NONE} -- Initialization

	initialize
			-- Initialize current service.
		local
			l_db_c: like {APP_CONFIGURATION}.app_instance.db_connection
		do
			logger.write_debug (" -------------------> EWF_APP Application initialize <------------------------")
			Precursor
--			create l_a_c
			set_service_option ("port", {APP_CONFIGURATION}.app_instance.application_port)
			if  {APP_CONFIGURATION}.app_instance.trace_enabled then
				set_service_option ("verbose", {APP_CONFIGURATION}.app_instance.application_verbose)
			end
			logger.write_debug ("listening_port:" + {APP_CONFIGURATION}.app_instance.application_port.out)
			l_db_c := {APP_CONFIGURATION}.app_instance.db_connection
		end

feature -- db connection



end
