note
	description: "Summary description for {CONSTRAINT}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

deferred class
	CONSTRAINT

inherit
	LOGGABLE
		redefine
			default_create
		end

feature {NONE} -- Initialize

	default_create
		do
			operator := Equal_operator
		end

feature -- Access

	And_statement: STRING = " AND "

	Or_statement: STRING = " OR "

	Between_operator: STRING = " BETWEEN "
	Like_operator: STRING = " LIKE "
	Ilike_operator: STRING = " ILIKE "
	Smaller_than_operator: STRING = " < "
	Smaller_or_equal_operator: STRING = " <) "
	Greater_than_operator: STRING = " > "
	Greater_or_equal_operator: STRING = " >= "
	Equal_operator: STRING = " = "

	operator: STRING

feature -- Validation

	valid_operator (an_operator: STRING): BOOLEAN
		do
			Result := an_operator = Between_operator or
				an_operator = Like_operator or
				an_operator = Equal_operator or
				an_operator = Ilike_operator or
				an_operator = Smaller_than_operator or
				an_operator = Greater_than_operator or
				an_operator = Greater_or_equal_operator or
				an_operator = Equal_operator
		end

feature -- Out

	to_sql: STRING
			-- Remember to make use of {SIT_TYPE_CONVERTER}.from_value_to_db_field_string (value, False)
		deferred
		end

invariant
	valid_operator (operator)
end
