note
	description: "Summary description for {DB_ENTITY_CONSTRAINT}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	PK_CONSTRAINT

inherit
	FIELD_CONSTRAINT
		rename
			value as primary_key
		end

create
	make_equal

feature {NONE} -- Initialization

	make_equal (a_db_entity: like db_entity)
		require
			a_db_entity.valid_primary_key (a_db_entity.primary_key)
		do
			primary_key := a_db_entity.primary_key
			field := a_db_entity.Primary_key_db_column_name
			make_from_operator (a_db_entity, {CONSTRAINT}.Equal_operator)
		end

	make_from_operator (a_db_entity: like db_entity; an_operator: like operator)
		do
			db_entity := a_db_entity
			operator := an_operator
			default_create
		ensure
			db_entity = a_db_entity
			operator = an_operator
		end


feature -- Access

	db_entity: PK_DB_ENTITY


end
