note
	description: "Summary description for {API_EXPORTABLE_DB_ENTITY}."
	main_goal: "Having an interface to be able to list fields which are included into JOIN statement as well as entity.to_json"
	author: ""
	date: "$Date$"
	revision: "$Revision$"

deferred class
	API_EXPORTABLE_ENTITY

inherit
	ANY
		redefine
			default_create
		end

feature {NONE} -- Initialization

	default_create
			-- calls add_exported_fields
		do
			create api_exported_fields.make
			Precursor
			
			add_exported_fields
		end

	add_exported_fields
			-- called by default_create
			-- by default the id will be exported
			-- for ex:
			--	api_exported_fields.extend (Name_db_column_name)
		require
			created_api_exported_fields: api_exported_fields /= Void
		deferred
		end

feature -- Access

	api_exported_fields: LINKED_LIST[STRING]

end
