note
	description: "Empty or format: 26374747-k"
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	RUT

inherit
	STRING

create
	make,
	make_empty,
	make_filled,
	make_from_string,
	make_from_string_8,
	make_from_c,
	make_from_c_substring,
	make_from_c_pointer,
	make_from_cil,
	make_from_separate

convert
	to_cil: {SYSTEM_STRING},
	make_from_cil ({SYSTEM_STRING}),
	make_from_string_8 ({STRING}),
	as_string_32: {READABLE_STRING_32, STRING_32}

feature {NONE} -- Initialize

	make_from_string_8 (v: STRING)
		require
			valid_v: is_valid_string (v)
		do
			make_from_string (v)
		end

feature -- Status report		

	is_valid_string (v: STRING): BOOLEAN
		-- 26374747-k
		do
			Result := v.is_empty or (
					v.count = 10 and then
					v.at (v.count - 1).is_equal ('-')
				)
		end

invariant
	not is_empty implies is_valid_string (to_string_8)
end
