note
	description: "Summary description for {DATE_OFFSET}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	DATE_OFFSET

create
	make_from_date_time,
	make_from_date

feature {NONE} -- Initialize

	make_from_date_time (a_date_time: DATE_TIME; an_offset: INTEGER)
		do
			make_from_date (a_date_time.date, an_offset)
		end

	make_from_date (a_date: DATE; an_offset: INTEGER)
		do
			date := a_date
			offset := an_offset
		end

feature -- Access

	date: DATE

	offset: INTEGER

feature -- Status report

	valid_offset (v: like offset): BOOLEAN
		do
			Result := v >= -(24 + 1) * 60 and then
				v <= (24 + 1) * 60
		end

invariant
	valid_offset: valid_offset (offset)

end
