note
	description: "Summary description for {TEST_DB_ENTITY}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	TEST_DB_ENTITY

create
	make_from_json_object

feature {NONE} -- Initialization

	make_from_json_object (a_json_object: like json_object; a_db_entity: like db_entity)
		do
			db_entity := a_db_entity
			json_object := a_json_object
		ensure
			db_entity = a_db_entity
			json_object = a_json_object
		end

feature -- Access

	json_object: JSON_OBJECT

	db_entity: DB_ENTITY

feature -- Status report

	valid_for_test_id_not_null: BOOLEAN
		local
			l_db_entity: like db_entity
		do
			l_db_entity := db_entity.deep_twin
			l_db_entity.set_from_json_object (json_object)
			if l_db_entity.valid_for_update then
				Result := True
			end
		end

	valid_for_test_from_json_creation: BOOLEAN
		local
			l_db_entity: like db_entity
		do
			l_db_entity := db_entity.deep_twin
			l_db_entity.set_from_json_object (json_object)
			if l_db_entity.valid_for_update then
				Result := True
			end
		end

end
