note
	description: "Summary description for {HTTP_CLIENT_CONTEXT_FACTORY}."
	date: "$Date$"
	revision: "$Revision$"

class
	HTTP_CLIENT_CONTEXT_FACTORY

inherit

	HTTP_MIME_TYPES

feature -- Factories


	text_context_executor: HTTP_CLIENT_REQUEST_CONTEXT
			-- request context for each request.
		do
			create Result.make
			Result.headers.put (text_html, "Content-Type")
			Result.headers.put (text_html, "Accept")
		end

	json_context_executor: HTTP_CLIENT_REQUEST_CONTEXT
			-- request context for each request.
		do
			create Result.make
			Result.headers.put (application_json, "Content-Type")
			Result.headers.put (application_json, "Accept")
		end


	unknown_context_executor: HTTP_CLIENT_REQUEST_CONTEXT
			-- request context for each request.
		do
			create Result.make
			Result.headers.put ("unknown", "Content-Type")
			Result.headers.put ("unknown", "Accept")
		end

end
